Package: org.gradle.testkit.runner

## [Java] Class UnexpectedBuildResultException

- org.gradle.testkit.runner.UnexpectedBuildResultException

- Base class for UnexpectedBuildFailure and UnexpectedBuildSuccess.

  See Also:
    BuildResult
  Since:
    2.9

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `BuildResult` | `getBuildResult()` The result of the build execution.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public BuildResult getBuildResult()

      The result of the build execution.

      Returns:
        the result of the build execution